Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.cin.mycarenet._1_0.carenet.types
Enum DecisionResultType

    java.lang.Object
      java.lang.Enum<DecisionResultType>
          be.cin.mycarenet._1_0.carenet.types.DecisionResultType

All Implemented Interfaces:
  Serializable, Comparable<DecisionResultType>

    public enum DecisionResultType

extends Enum<DecisionResultType>

Java class for DecisionResultType.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="DecisionResultType">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="agreement"/>
         <enumeration value="partialAgreement"/>
         <enumeration value="onlyMedicalAgreement"/>
         <enumeration value="onlyMedicalAgreementWithoutSmallRisks"/>
         <enumeration value="rejection"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`AGREEMENT`
`ONLY_MEDICAL_AGREEMENT`
`ONLY_MEDICAL_AGREEMENT_WITHOUT_SMALL_RISKS`
`PARTIAL_AGREEMENT`
`REJECTION`

Method Summary
`static DecisionResultType` | `fromValue(String v)`
`String` | `value()`
`static DecisionResultType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DecisionResultType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AGREEMENT

    public static final DecisionResultType AGREEMENT

### PARTIAL_AGREEMENT

    public static final DecisionResultType PARTIAL_AGREEMENT

### ONLY_MEDICAL_AGREEMENT

    public static final DecisionResultType ONLY_MEDICAL_AGREEMENT

### ONLY_MEDICAL_AGREEMENT_WITHOUT_SMALL_RISKS

    public static final DecisionResultType ONLY_MEDICAL_AGREEMENT_WITHOUT_SMALL_RISKS

### REJECTION

    public static final DecisionResultType REJECTION

Method Detail

### values

    public static DecisionResultType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DecisionResultType c : DecisionResultType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DecisionResultType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static DecisionResultType fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSPRACTICALNURSE 3.25.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.